org.apache.olingo.odata2.api.client.batch

## Class BatchChangeSetPart.BatchChangeSetPartBuilder

- java.lang.Object
- - org.apache.olingo.odata2.api.client.batch.BatchChangeSetPart.BatchChangeSetPartBuilder

- Enclosing class:
    BatchChangeSetPart

      public abstract static class BatchChangeSetPart.BatchChangeSetPartBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BatchChangeSetPartBuilder()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract BatchChangeSetPart.BatchChangeSetPartBuilder` | `body(byte[] body)`
    `abstract BatchChangeSetPart.BatchChangeSetPartBuilder` | `body(String body)`
    `abstract BatchChangeSetPart` | `build()`
    `abstract BatchChangeSetPart.BatchChangeSetPartBuilder` | `contentId(String contentId)`
    `abstract BatchChangeSetPart.BatchChangeSetPartBuilder` | `headers(Map<String,String> headers)`
    `abstract BatchChangeSetPart.BatchChangeSetPartBuilder` | `method(String method)`
    `abstract BatchChangeSetPart.BatchChangeSetPartBuilder` | `uri(String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchChangeSetPartBuilder

          protected BatchChangeSetPartBuilder()

  - ### Method Detail

    - #### build

          public abstract BatchChangeSetPart build()

    - #### headers

          public abstract BatchChangeSetPart.BatchChangeSetPartBuilder headers(Map<String,String> headers)

    - #### body

          public abstract BatchChangeSetPart.BatchChangeSetPartBuilder body(String body)

    - #### body

          public abstract BatchChangeSetPart.BatchChangeSetPartBuilder body(byte[] body)

    - #### uri

          public abstract BatchChangeSetPart.BatchChangeSetPartBuilder uri(String uri)

    - #### method

          public abstract BatchChangeSetPart.BatchChangeSetPartBuilder method(String method)

    - #### contentId

          public abstract BatchChangeSetPart.BatchChangeSetPartBuilder contentId(String contentId)

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.